<?php

namespace PostenBringCheckout\admin\bring\models\booking;

defined( 'ABSPATH' ) || exit;

class Dimensions {
	public float $heightInCm;
	public float $widthInCm;
	public float $lengthInCm;

	public function __construct( float $heightInCm, float $widthInCm, float $lengthInCm ) {
		$this->heightInCm = $heightInCm;
		$this->widthInCm  = $widthInCm;
		$this->lengthInCm = $lengthInCm;
	}

	public function toArray() {
		return get_object_vars( $this );
	}
}
